
var dwWaitTime = 5000; //超时时间（毫秒）
var error1 = "打开USB设备失败";
var error2 = "取消";
var error3 = "等待手指超时";
var error4 = "采集图像失败";
var error5 = "上传图像失败";
var error6 = "提取指纹特征失败";
var error7 = "合并指纹模板失败";

function Button_Check_Device() {
	var bFlag = fpDevObj.IsMxUsbDevice();
  if(bFlag=="-1")
  {
    alert("失败");
    return;
   }
   else
 {
    alert("成功");
    return;
   }
}
function Button_GetImage() {
    var img = fpDevObj.mxUsbGetImage(dwWaitTime);
    if(img=="-1")
    {
    	alert(error1);
    	return;
    }
    else if(img=="-2")
    {
    	alert(error2);
    	return;
    }
    else if(img=="-3")
    {
    	alert(error3);
    	return;
    }
    else if(img=="-4")
    {
    	alert(error4);
    	return;
    }
    else if(img=="-5")
    {
    	alert(error5);
    	return;
    }
   	else
   	{
   		 alert("成功");
    } 
}

var tz = 0;
var mb = 0;

function Button_GetFeature() {
    tz  = fpDevObj.mxUsbGetTz(dwWaitTime);
    if(tz=="-1")
    {
    	alert(error1);
    	return;
    }
    else if(tz=="-2")
    {
    	alert(error2);
    	return;
    }
    else if(tz=="-3")
    {
    	alert(error3);
    	return;
    }
    else if(tz=="-4")
    {
    	alert(error4);
    	return;
    }
    else if(tz=="-5")
    {
    	alert(error5);
    	return;
    }
   else if(tz=="-6")
    {
    	alert(error6);
    	return;
    }
   	else
   	{
		document.getElementById("showtext").value =tz
		//fpDevObj.mxGetTzImage("c:\\tz.bmp");
   	// alert(tz);
    } 
}


function Button_GetTemplate() {
    mb  = fpDevObj.mxUsbGetMb(dwWaitTime);
    if(mb=="-1")
    {
    	alert(error1);
    	return;
    }
    else if(mb=="-2")
    {
    	alert(error2);
    	return;
    }
    else if(mb=="-3")
    {
    	alert(error3);
    	return;
    }
    else if(mb=="-4")
    {
    	alert(error4);
    	return;
    }
    else if(mb=="-5")
    {
    	alert(error5);
    	return;
    }
   else if(mb=="-6")
    {
    	alert(error6);
    	return;
    }
    else if(mb=="-7")
    {
    	alert(error7);
    	return;
    }
   	else
   	{
		document.getElementById("showtext").value =mb
		//fpDevObj.mxGetMbImage("c:\\mb1.bmp",1);
		//fpDevObj.mxGetMbImage("c:\\mb2.bmp",2);
		//fpDevObj.mxGetMbImage("c:\\mb3.bmp",3);
   	//alert(mb);
    } 
}

function Button_FingerMatch() {
	  if(tz==0)
	  {
	  	alert("Please get fingerprint feature first");
	  	return;
	  }
	  if(mb==0)
	  {
	  	alert("Please get fingerprint template first");
	  	return;
	  }
	 
    var ret = fpDevObj.mxFingerMatch(mb,tz,3);
    if(ret == 0)
    	alert("成功");
    else
    	alert("失败");
}

function Button_Version() { 
    var ret = fpDevObj.mxGetDeviceVersion();
    alert(ret);
}

function Button_GetDevLogo() { 
    var ret = fpDevObj.mxGetDeviceLogo();
    alert(ret);
}

function Button_GetDevSN() { 
    var ret = fpDevObj.mxGetDeviceSN();
    alert(ret);
}


function Button_GetUserInfo() { 
    var ret = fpDevObj.mxGetUserInfo();
    alert(ret);
}


function Button_SetUserInfo() {
	
		var UserInfo  = document.getElementById("textUserInfo").value;
		var iLength = UserInfo.length;	
		if(iLength == 0)
		{
			alert("客户信息不能为空");
			return;
		}
		if(iLength > 32)
		{
			alert("客户信息应小于32");
			return;
		}
		
    var ret = fpDevObj.mxSetUserInfo(UserInfo);
    if(ret==0)
    {
    	alert("写客户信息成功");	
    }
    else
    {
    	alert("写客户信息失败");	
    }
    
}